Bullet = class{function(self, x,y,facing)
    self.x = x
    self.y = y
    self.facing=facing
	self.speed=200
	table.insert(bullets,self)
end}


function Bullet:draw()
    love.graphics.push()
    love.graphics.translate(self.x,self.y)
    love.graphics.rotate(self.facing)
    love.graphics.translate(-self.x,-self.y)

    love.graphics.setColor(150,150,150)
    love.graphics.rectangle('fill',self.x-1,self.y-0.5,2,1)
    love.graphics.pop()

end

function Bullet:update(dt)
	self.x=self.x+math.cos(self.facing)*self.speed*dt
	self.y=self.y+math.sin(self.facing)*self.speed*dt
	if self.x>world.width or self.x<0 or self.y<0 or self.y>world.height then
		self:destroy()
	end
	for i,v in ipairs(mobs) do
		if ((self.x-v.x)^2+(self.y-v.y)^2)^0.5<v.size then
				self:destroy()
				v:hit(self.facing)
		end
	end
end

function Bullet:destroy()
	deleteObject(bullets,self)
end
